import { View } from "@tarojs/components";
import './index.less'
import ShubiBox from "@src/components/pay/shubi";
function Shubi(props: {
    isBook: boolean, shubiData?: {
        payCoin: number,
        coinNum: number
    }
}) {
    return <View className="shubi">
        {
            props?.isBook ? <>
                <View className="shubi_title">订阅本章：{props?.shubiData?.payCoin || 0}书币</View>
                <View className="shubi_info">余额：{props?.shubiData?.coinNum || 0}书币</View>
            </> : <View className="shubi_title">选择套餐</View>
        }
        <ShubiBox mar0={!props?.isBook} />
    </View>
}
export default Shubi